Summary: Change TaskBar program icons
Name:    xseticon
Version: 0.1
Release: 1%{?dist}
#Url:     https://sourceforge.net/projects/xseticon/
Url:     http://www.leonerd.org.uk/code/xseticon/
#Source:  https://sourceforge.net/projects/xseticon/files/xseticon-1.0.tar.bz2
Source:  http://www.leonerd.org.uk/code/xseticon/xseticon-0.1+bzr13.tar.gz
License: GPLv2
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group:   X11/Utilities
BuildRequires: make glib-devel gd-devel libX11-devel libXmu-devel

Patch1: Makefile.patch

%description
Sets the window icon to the specified .png image. The image is loaded from
the file at runtime and sent to the X server; thereafter the file does not
need to exist, and can be deleted/renamed/modified without the X server or
window manager noticing.
If no window selection option is specified, the window can be interactively
selected using the cursor.

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup -n xseticon-0.1+bzr13
#-c -n xseticon-0%{version}+bzr13
%patch1 -p1 -b.Makefile

%build
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
cp xseticon $RPM_BUILD_ROOT/%{_bindir}/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/xseticon

%changelog
* Mon Oct 16 2017 josef radinger <cheese@nosuchhost.net> - 0.1-1
- initial version
